/* Dia -- an diagram creation/manipulation program
 * Copyright (C) 1998 Alexander Larsson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __MUL_CALLBACKS_H
#define __MUL_CALLBACKS_H



//khorben callbacks
//mul properties
//open dialog
GtkWidget* mul_get_props(Mul *mul, Property *props, guint nprops);
//fill in fields
void mul_fill_in_dialog(Mul *mul);
//apply button callback
ObjectChange* mul_apply_props(Mul *mul);
//openu creation
void mul_create_omenu(Mul *mul);
//omenu callback
void mul_callback_omenu(GtkWidget *widget, gpointer data);
//spin callback
void mul_callback_spin(GtkWidget *widget, gpointer data);


#endif //__MUL_CALLBACKS_H
